Chat and Message (retired)
Post message Gloo Chat
deprecated
Start or continue a Gloo Chat session (Kallm variant).
POST
Post message KaLLM (deprecated)
Providing
chat_id adds a new message to that chat session; without it, a new chat session is created.
Default behavior:
- Gloo AI will perform a sentiment analysis on your prompt.
- Gloo AI will provide suggestion follow ups
- Depending on your prompt, Gloo AI will return sources that have influenced the response from our trusted partners.
intent, enable_sources, enable_suggestions.
Example 1:
You want a rich answer based on trusted sources, with follow-up suggestions. Omit all query params.
Example 2:
Your prompt needs trusted sources in the answer, and you don’t want follow-up suggestions.
intent: 1, enable_suggestions: 0
Example 3:
Your prompt doesn’t need trusted sources, and you don’t want follow-up suggestions.
intent: 0, enable_suggestions: 0Authorizations
Bearer authentication header of the form Bearer <api-key>, where <api-key> is your API key.
Query Parameters
Body
application/json
Response
Successful response
The response is of type Response Post-Message-Kallm · object.

